Package com.sun.jna.platform.win32

## Class Sspi.SecPkgContext_SessionKey

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecPkgContext_SessionKey

- Direct Known Subclasses:
    `Sspi.SecPkgContext_SessionKey.ByReference`
  Enclosing interface:
    Sspi

      @FieldOrder({"SessionKeyLength","SessionKey"})
      public static class Sspi.SecPkgContext_SessionKey
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Sspi.SecPkgContext_SessionKey.ByReference` |

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Pointer` | `SessionKey` | The session key for the security context.
    `int` | `SessionKeyLength` | Size, in bytes, of the session key.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecPkgContext_SessionKey()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `free()` |
    `byte[]` | `getSessionKey()` |

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SessionKeyLength

          public int SessionKeyLength

      Size, in bytes, of the session key.

    - #### SessionKey

          public Pointer SessionKey

      The session key for the security context.

  - ### Constructor Detail

    - #### SecPkgContext_SessionKey

          public SecPkgContext_SessionKey()

  - ### Method Detail

    - #### getSessionKey

          public byte[] getSessionKey()

    - #### free

          public void free()